-- local dragData = {};
-- dragData.datas = Array();
-- dragData.datas:add(LanUtil.getValue(110809));
-- dragData.datas:add(LanUtil.getValue(110810));
-- dragData.datas:add(LanUtil.getValue(110811));
-- dragData.datas:add(LanUtil.getValue(20));
-- dragData.offsetX = -434;
-- dragData.offsetY = -44;
-- dragData.callBackOwner = self;
-- dragData.callBack = self.onDragDownCallBack;
-- dragData.selected = 4;
-- Lua_WindowUtil.openWin("Lua_DragDownWindow", nil, dragData);

checkRequire("Lua_DragDownSmallItem");
Lua_DragDownSmallWindow = class("Lua_DragDownSmallWindow", Lua_Window);
function Lua_DragDownSmallWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_DragDownSmallWindow";
	self.blackAlpha = 0.02;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_DragDownSmallWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.bg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_black_50", 0, 0, 174, len * 52 + 20);

	self:addLuaEvent("DRAGDOWN_CLICK", self, self.onDragDownClick);
end

function Lua_DragDownSmallWindow:showWin(param)
	local len = param.datas:getSize();
	local h = len * 52 / 2;
	local btn;
	self.btns = Array();
	for i = 1, len do
		btn = Lua_DragDownSmallItem.new(self.content);
		btn:setData({index = i, selected = param.selected == i, text = param.datas[i]});
		btn:setLocation(param.offsetX, param.offsetY - (i - 1) * 52 + h - 26,0);
		self.btns:add(btn);
	end

	self.bg:SetDimensions(174, len * 52 + 20);
	self.bg:setLocation(param.offsetX, param.offsetY, 0);

	self.owner = param.callBackOwner;
	self.callBack = param.callBack;
end

function Lua_DragDownSmallWindow:onDragDownClick(val)
	print("Lua_DragDownSmallWindow", val);
	if self.callBack ~= nil and self.owner ~= nil then
		self.callBack(self.owner, val);
	end
	self:hide();
end

function Lua_DragDownSmallWindow:dispose()
	self.owner = nil;
	self.callBack = nil;

	self:superCall("dispose");
end