Lua_DragDownItem = class("Lua_DragDownItem", Lua_ListCell);
function Lua_DragDownItem:ctor(p)
	self:superCall("ctor", p, "DragDownItem_skin");
end

function Lua_DragDownItem:setData(data)
	self._data = data;

	self.nameTxt.fontSize = data.fontSize;
	self.nameTxt.text = data.text;

	if data.flowerWin == nil and data.itemNotSelectSprite == nil then
		self.bg:setAltas("common_atlas_1", data.selected == true and "ui_common_btn_8" or "ui_common_btn_13");
		self.bg:SetDimensions(data.width, data.height);
	elseif data.flowerWin == nil and data.itemNotSelectSprite ~= nil then
		self.bg:setAltas(data.itemBgAltas, data.selected == true and data.itemSelectSprite or data.itemNotSelectSprite);
		self.bg:SetDimensions(data.width, data.height);
	elseif data.flowerWin ~= nil then
		self.bg:setAltas("mailboxwindow_atlas", "ui_friend_title_02");
		-- self.bg.mainContent.transform.localPosition = Vector3(0, 0, 0);
		LuaUtil.setTfPos(self.bg.mainContent.transform, 0, 0, 0);
		self.bg:SetDimensions(223, 46);
	end
end

function Lua_DragDownItem:onPlayerSoundClick(go)
	Lua_MsgUtil.callFunc("DRAGDOWN_CLICK", self._data.index);
end